Kaynağa Gözat

Fix bin scripts after CR

pull/20/head
Kristijan Mitrovic 4 yıl önce
ebeveyn
işleme
01a1d6adf1
2 değiştirilmiş dosya ile 3 ekleme ve 3 silme
  1. +2
    -2
      bin/bpatchfull
  2. +1
    -1
      bin/vultr/vcurl

+ 2
- 2
bin/bpatchfull Dosyayı Görüntüle

@@ -45,7 +45,7 @@ else
echo "Files changed, rebuilding bubble jar: "
find "./src/main" -type f -newer "$(find "./target" -type f -name "bubble*.jar" | head -1)"
fi
INSTALL_WEB=web mvn -DskipTests=true -Dcheckstyle.skip=true clean package || die "Error packaging jar"
BUBBLE_PRODUCTION=1 mvn -DskipTests=true -Dcheckstyle.skip=true clean package || die "Error packaging jar"
scp ./target/bubble*.jar ${HOST}:/tmp/bubble.jar || die "Error copying file to remote host ${HOST}"
fi

@@ -59,5 +59,5 @@ fi

if [[ $(jar tf ./target/bubble*.jar | grep "^site/$") ]] ; then
echo "Deploying new web..."
ssh ${HOST} "cd ~bubble && jar xf /tmp/bubble.jar site"
ssh ${HOST} "cd ~bubble && jar xf /tmp/bubble.jar site && chown -R bubble:bubble site"
fi

+ 1
- 1
bin/vultr/vcurl Dosyayı Görüntüle

@@ -3,7 +3,7 @@
# Copyright (c) 2020 Bubble, Inc. All rights reserved. For personal (non-commercial) use, see license: https://getbubblenow.com/bubble-license/
#
if [[ -z "${VULTR_API_KEY}" ]] ; then
>&2 echo "VULTR_API_KEY not defined in environment"
echo 1>&2 "VULTR_API_KEY not defined in environment"
exit 1
fi



Yükleniyor…
İptal
Kaydet